Bug 1028754 - [abrt] TeXmacs-1.0.7.19-4.fc20: qt_tm_embedded_widget_rep::query: Process /usr/libexec/TeXmacs/bin/texmacs.bin was killed by signal 11 (SIGSEGV)
[abrt] TeXmacs-1.0.7.19-4.fc20: qt_tm_embedded_widget_rep::query: Process /us...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: TeXmacs (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:dfd333e7861d99b9eb873eae8ed...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-10 08:06 EST by Maxim Prohorenko
Modified: 2014-11-08 16:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-24 04:04:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (24.48 KB, text/plain)
2013-11-10 08:06 EST, Maxim Prohorenko
no flags Details
File: cgroup (159 bytes, text/plain)
2013-11-10 08:06 EST, Maxim Prohorenko
no flags Details
File: core_backtrace (6.58 KB, text/plain)
2013-11-10 08:06 EST, Maxim Prohorenko
no flags Details
File: dso_list (12.26 KB, text/plain)
2013-11-10 08:06 EST, Maxim Prohorenko
no flags Details
File: environ (1.93 KB, text/plain)
2013-11-10 08:06 EST, Maxim Prohorenko
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-10 08:06 EST, Maxim Prohorenko
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-10 08:06 EST, Maxim Prohorenko
no flags Details
File: maps (49.46 KB, text/plain)
2013-11-10 08:06 EST, Maxim Prohorenko
no flags Details
File: open_fds (508 bytes, text/plain)
2013-11-10 08:06 EST, Maxim Prohorenko
no flags Details
File: proc_pid_status (938 bytes, text/plain)
2013-11-10 08:06 EST, Maxim Prohorenko
no flags Details

  None (edit)
Description Maxim Prohorenko 2013-11-10 08:06:10 EST
Description of problem:
1.Install
2. Run
3. Crash
4. Repeate 2-3
5. Report :)

Version-Release number of selected component:
TeXmacs-1.0.7.19-4.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        texmacs.bin
crash_function: qt_tm_embedded_widget_rep::query
executable:     /usr/libexec/TeXmacs/bin/texmacs.bin
kernel:         3.11.7-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: Nov 10 16:52:27 qosmio kernel: [19072.455927] texmacs.bin[19063]: segfault at 0 ip 00000000008193d1 sp 00007fff9f120310 error 4 in texmacs.bin[400000+64d000]

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 qt_tm_embedded_widget_rep::query at Plugins/Qt/qt_tm_widget.cpp:999
 #1 query<int> at Graphics/Gui/message.hpp:144
 #2 get_identifier at Graphics/Gui/message.hpp:229
 #3 is_attached at Graphics/Gui/message.hpp:235
 #4 attach_view at Texmacs/Data/new_view.cpp:324
 #5 window_set_view at Texmacs/Data/new_view.cpp:365
 #6 new_buffer_in_new_window at Texmacs/Data/new_window.cpp:210
 #7 open_window at Texmacs/Data/new_window.cpp:228
 #8 TeXmacs_main at Texmacs/Texmacs/texmacs.cpp:372
 #9 invoke_main_func at init.c:337

Potential duplicate: bug 957417
Comment 1 Maxim Prohorenko 2013-11-10 08:06:17 EST
Created attachment 822065 [details]
File: backtrace
Comment 2 Maxim Prohorenko 2013-11-10 08:06:20 EST
Created attachment 822066 [details]
File: cgroup
Comment 3 Maxim Prohorenko 2013-11-10 08:06:23 EST
Created attachment 822067 [details]
File: core_backtrace
Comment 4 Maxim Prohorenko 2013-11-10 08:06:26 EST
Created attachment 822068 [details]
File: dso_list
Comment 5 Maxim Prohorenko 2013-11-10 08:06:29 EST
Created attachment 822069 [details]
File: environ
Comment 6 Maxim Prohorenko 2013-11-10 08:06:32 EST
Created attachment 822070 [details]
File: exploitable
Comment 7 Maxim Prohorenko 2013-11-10 08:06:35 EST
Created attachment 822071 [details]
File: limits
Comment 8 Maxim Prohorenko 2013-11-10 08:06:38 EST
Created attachment 822072 [details]
File: maps
Comment 9 Maxim Prohorenko 2013-11-10 08:06:41 EST
Created attachment 822073 [details]
File: open_fds
Comment 10 Maxim Prohorenko 2013-11-10 08:06:44 EST
Created attachment 822074 [details]
File: proc_pid_status
Comment 11 Jindrich Novy 2014-06-24 04:04:45 EDT
Fixed by update to 1.99.1 and linking it against Guile-1.8.
Comment 12 Germán Racca 2014-08-21 19:02:46 EDT
No fix for Fedora 20?

Note You need to log in before you can comment on or make changes to this bug.